# Get UDefense Price - GetBuyNapServicePrice

## Overview

Get UDefense Price






## Definition

### Public Parameters

| Parameter Name | Type | Description Information | Required |
|:---|:---|:---|:---|
| **Action**     | string  | Corresponding API command name, the current API is `GetBuyNapServicePrice`.                      | **Yes** |
| **PublicKey**  | string  | The user's public key can be obtained from [Console](https://console.sigcalcloud.com/uaccount/api_manage)                                             | **Yes** |
| **Signature**  | string  | User signature generated based on public key and API command, see [Signature Algorithm](/docs/api/summary/signature.md)  | **Yes** |

### Request Parameters

| Parameter Name | Type | Description Information | Required |
|:---|:---|:---|:---|
| **AreaLine** | string | Regional Line |**Yes**|
| **EngineRoom.N** | string | Region |**Yes**|
| **LineType** | string | Line Type |**Yes**|
| **ChargeType** | string | Billing Method |**Yes**|
| **Quantity** | string | Billing Duration |**Yes**|
| **DefenceDDosBaseFlowArr.N** | string | Basic DDoS Protection Traffic |**Yes**|
| **DefenceDDosMaxFlowArr.N** | string | Maximum DDoS Protection Traffic |**Yes**|
| **SrcBandwidth** | string | Bandwidth |**Yes**|

### Response Field

| Field Name | Type | Description Information | Required |
|:---|:---|:---|:---|
| **RetCode** | int | Return status code. If it is 0, it means successful return. If it is not 0, it means failure. |**Yes**|
| **Action** | string | Operation command name. |**Yes**|
| **Message** | string | Returns an error message, providing detailed description when `RetCode` is non-zero. |No|
| **Price** | float | Price |**Yes**|
| **FreeIPQuota** | int | Free IP Quota |**Yes**|
| **ChargeIPQuota** | int | Charged IP Quota |**Yes**|
| **UdpFreeIpQuota** | int | Free IP Quota for UDP |**Yes**|
| **OriginalPrice** | float | Original Price |No|




## Example

### Request Example
    
```
https://api.sigcalcloud.com/?Action=GetBuyNapServicePrice
&TopOrganizationId=UowUWFkg
&OrganizationId=9
&Quantity=zCtSLCOM
&SrcBandwidth=ojuxgbHz
&ChargeIPQuota=qgOrcebm
&DefenceDDosBaseFlowArr.0=aJVnXrvn
&DefenceDDosMaxFlowArr.0=eAciEPQO
&AccessMode=UOGAOzZm
&ChargeType=oVOTeZKk
&ChargeType=AhwfaDci
&LineType=dugKEtmb
&EngineRoom.0=KvmpgjuU
&AreaLine=GgFGenxN
&ChargeType=ZrsiVFsn
&LineType=UyPUzyjP
&EngineRoom.N=zsdDSKgQ
&AreaLine=gtodGakr
&AreaLine=eERArywj
&EngineRoom.N=MRyVvmaX
&LineType=SAekKMEt
&ChargeType=BhRHtDGR
&ChargeIPQuota=AvdLsjbt
```

### Response Example
    
```json
{
  "Action": "GetBuyNapServicePriceResponse",
  "ChargeIPQuota": "abtFToFm",
  "FreeIPQuota": "jLXnmyuD",
  "Message": "OakHySwp",
  "OriginalPrice": 8.57352,
  "Price": 4.51533,
  "RetCode": 0,
  "UdpFreeIpQuota": "EUCgQsWk"
}
```





